diff a/hat/docs/hat-notes-and-links.md b/hat/docs/hat-notes-and-links.md
--- /dev/null
+++ b/hat/docs/hat-notes-and-links.md
@@ -0,0 +1,37 @@
+
+
+# Notes and Links
+
+----
+
+* [Contents](hat-00.md)
+* House Keeping
+    * [Project Layout](hat-01-01-project-layout.md)
+    * [Building Babylon](hat-01-02-building-babylon.md)
+    * [Maven and CMake](hat-01-03-maven-cmake.md)
+* Programming Model
+    * [Programming Model](hat-03-programming-model.md)
+* Interface Mapping
+    * [Interface Mapping Overview](hat-04-01-interface-mapping.md)
+    * [Cascade Interface Mapping](hat-04-02-cascade-interface-mapping.md)
+* Implementation Detail
+    * [Walkthrough Of Accelerator.compute()](hat-accelerator-compute.md)
+
+---
+
+# Notes and Links
+
+### Deep Learning
+* [Amazons Deep Learning Java](http://djl.ai/)
+
+### Manchester University TornadoVM
+* [Tornado VM](https://github.com/beehive-lab/TornadoVM)
+* [SPIRV Toolkit]()https://github.com/beehive-lab/beehive-spirv-toolkit
+
+### Other JAVA GPU
+* [Aparapi](https://github.com/Syncleus/aparapi)
+
+### Github repos
+* [Babylon OpenJDK](https://github.com/openjdk/babylon)
+* [JTREG](https://github.com/openjdk/jtreg)
+* [jexctract](https://github.com/openjdk/jextract)
